
Name:           libquvi-scripts
Version:        0.4.6
Release:        1.1
Summary:        Lua scripts used by libquvi
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://quvi.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2

# %%if 0%%{?suse_version} > 1210
# libquvi is not yet compatible with lua 5.2, see http://sourceforge.net/apps/trac/quvi/ticket/89
# => fixed
# BuildRequires:  lua51-devel
# %%else
BuildRequires:  lua-devel >= 5.1
# %%endif
# For pkgconfig() Provides
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libquvi-scripts contains the embedded lua scripts that libquvi uses for
parsing the media details. Some additional utility scripts are also
included.

%package devel
Summary:        Lua scripts used by libquvi -- Development Files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
libquvi-scripts contains the embedded lua scripts that libquvi uses for
parsing the media details. Some additional utility scripts are also
included.

%package nsfw
Summary:        Not Safe For Work Lua scripts used by libquvi
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}
BuildArch:      noarch

%description nsfw
Website fetching scripts used by %{name} that are marked as "NSFW"
(Not Safe For Work).

%prep
%setup -q

%build
%configure \
    --with-nsfw \
    --with-fixme

make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

EXCL="$PWD/exclude.lst"
NSFW="$PWD/nsfw.lst"
echo -n >"$EXCL"
echo -n >"$NSFW"
perl -n -e 'print $1,"\n" if /^if WITH_NSFW/ .. /endif/ and m,\b(lua/website/.+\.lua),' share/Makefile.am | while read f; do
    echo "%exclude %{_datadir}/libquvi-scripts/$f" >>"$EXCL"
    echo "%{_datadir}/libquvi-scripts/$f" >>"$NSFW"
done

%files -f exclude.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/libquvi-scripts/
%{_mandir}/man7/libquvi-scripts.7%{?ext_man}

%files nsfw -f nsfw.lst
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libquvi-scripts.pc

%changelog
* Sun Jul  8 2012 dnh@opensuse.org
- update to 0.4.6
* Mon Jan 23 2012 vuntz@opensuse.org
- Revert my previous change: libquvi doesn't work with lua 5.2, see
  http://sourceforge.net/apps/trac/quvi/ticket/89. And we want to
  build the scripts with the same version of lua as libquvi.
* Tue Jan 17 2012 vuntz@opensuse.org
- Always build against lua-devel: lua 5.2 on 12.2/Factory doesn't
  seem to be an issue.
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- fix build on < factory
- also package nsfw scripts, but into a separate subpackage
* Tue Jan 10 2012 vuntz@opensuse.org
- New package (version 0.4.2).
- This is based on the quvi 0.2.19 package: quvi got split in three
  modules upstream for 0.4.x.
